Debian Bug report logs - #657538
libxcb1: breaks alsamixer

version graph

Package: libxcb1; Maintainer for libxcb1 is XCB Developers <xcb@lists.freedesktop.org>; Source for libxcb1 is src:libxcb.

Reported by: "Mario 'BitKoenig' Holbe" <Mario.Holbe@TU-Ilmenau.DE>

Date: Thu, 26 Jan 2012 21:06:01 UTC

Severity: important

Tags: patch

Found in version libxcb/1.8-1

Fixed in version libxcb/1.9.1-1

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, XCB Developers <xcb@lists.freedesktop.org>:
Bug#657538; Package libxcb1. (Thu, 26 Jan 2012 21:06:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Mario 'BitKoenig' Holbe" <Mario.Holbe@TU-Ilmenau.DE>:
New Bug report received and forwarded. Copy sent to XCB Developers <xcb@lists.freedesktop.org>. (Thu, 26 Jan 2012 21:06:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Mario 'BitKoenig' Holbe" <Mario.Holbe@TU-Ilmenau.DE>
To: submit@bugs.debian.org
Subject: libxcb1: breaks alsamixer
Date: Thu, 26 Jan 2012 22:05:16 +0100
[Message part 1 (text/plain, inline)]
Package: libxcb1                         
Version: 1.8-1
Severity: critical
Justification: makes unrelated software on the system break

Hello,

since libxcb1 upgraded to 1.8-1 alsamixer segfaults on startup.
Downgrading libxcb1 to 1.7-4 fixes this.
The system is a typical workstation with all the GNOME-bloat (and hence
also pulseaudio) installed.

root@darkside:~# COLUMNS=72 dpkg -l libxcb1 | grep ^i
ii  libxcb1        1.7-4          X C Binding
root@darkside:~# echo q | alsamixer
Segmentation fault (core dumped)
root@darkside:~# dpkg -i /var/cache/apt/archives/libxcb1_1.7-4_i386.deb 
dpkg: warning: downgrading libxcb1 from 1.8-1 to 1.7-4.
(Reading database ... 512829 files and directories currently installed.)
Preparing to replace libxcb1 1.8-1 (using .../libxcb1_1.7-4_i386.deb) ...
Unpacking replacement libxcb1 ...
Setting up libxcb1 (1.7-4) ...
root@darkside:~# echo q | alsamixer
root@darkside:~# 


Thanks for your work & best regards
   Mario
-- 
To err is human. To really foul things up requires a computer.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, XCB Developers <xcb@lists.freedesktop.org>:
Bug#657538; Package libxcb1. (Thu, 26 Jan 2012 21:51:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Mario 'BitKoenig' Holbe" <Mario.Holbe@tu-ilmenau.de>:
Extra info received and forwarded to list. Copy sent to XCB Developers <xcb@lists.freedesktop.org>. (Thu, 26 Jan 2012 21:51:10 GMT) Full text and rfc822 format available.

Message #10 received at 657538@bugs.debian.org (full text, mbox):

From: "Mario 'BitKoenig' Holbe" <Mario.Holbe@tu-ilmenau.de>
To: 657538@bugs.debian.org
Subject: Re: libxcb1: breaks alsamixer
Date: Thu, 26 Jan 2012 22:12:25 +0100
[Message part 1 (text/plain, inline)]
On Thu, Jan 26, 2012 at 10:05:16PM +0100, Mario 'BitKoenig' Holbe wrote:
> root@darkside:~# COLUMNS=72 dpkg -l libxcb1 | grep ^i
> ii  libxcb1        1.7-4          X C Binding

Uhm, of course this has to be
ii  libxcb1        1.8-1          X C Binding
... as is proven below:

> root@darkside:~# dpkg -i /var/cache/apt/archives/libxcb1_1.7-4_i386.deb 
> dpkg: warning: downgrading libxcb1 from 1.8-1 to 1.7-4.

-- 
We know that communication is a problem, but the company is not going to
discuss it with the employees.
                       -- Switching supervisor, AT&T Long Lines Division
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, XCB Developers <xcb@lists.freedesktop.org>:
Bug#657538; Package libxcb1. (Thu, 26 Jan 2012 22:18:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to XCB Developers <xcb@lists.freedesktop.org>. (Thu, 26 Jan 2012 22:18:08 GMT) Full text and rfc822 format available.

Message #15 received at 657538@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Mario 'BitKoenig' Holbe <Mario.Holbe@TU-Ilmenau.DE>, 657538@bugs.debian.org
Subject: Re: Bug#657538: libxcb1: breaks alsamixer
Date: Thu, 26 Jan 2012 23:14:52 +0100
[Message part 1 (text/plain, inline)]
Mario 'BitKoenig' Holbe <Mario.Holbe@TU-Ilmenau.DE> (26/01/2012):
> Package: libxcb1                         
> Version: 1.8-1
> Severity: critical
> Justification: makes unrelated software on the system break
> 
> Hello,
> 
> since libxcb1 upgraded to 1.8-1 alsamixer segfaults on startup.
> Downgrading libxcb1 to 1.7-4 fixes this.
> The system is a typical workstation with all the GNOME-bloat (and hence
> also pulseaudio) installed.
> 
> root@darkside:~# COLUMNS=72 dpkg -l libxcb1 | grep ^i
> ii  libxcb1        1.7-4          X C Binding
> root@darkside:~# echo q | alsamixer
> Segmentation fault (core dumped)

Please get us more info about that…

I can't reproduce it here, also with gnome/pulseaudio installed.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, XCB Developers <xcb@lists.freedesktop.org>:
Bug#657538; Package libxcb1. (Thu, 26 Jan 2012 22:30:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Mario 'BitKoenig' Holbe" <Mario.Holbe@TU-Ilmenau.DE>:
Extra info received and forwarded to list. Copy sent to XCB Developers <xcb@lists.freedesktop.org>. (Thu, 26 Jan 2012 22:30:19 GMT) Full text and rfc822 format available.

Message #20 received at 657538@bugs.debian.org (full text, mbox):

From: "Mario 'BitKoenig' Holbe" <Mario.Holbe@TU-Ilmenau.DE>
To: Cyril Brulebois <kibi@debian.org>
Cc: 657538@bugs.debian.org
Subject: Re: Bug#657538: libxcb1: breaks alsamixer
Date: Thu, 26 Jan 2012 23:29:15 +0100
[Message part 1 (text/plain, inline)]
On Thu, Jan 26, 2012 at 11:14:52PM +0100, Cyril Brulebois wrote:
> Mario 'BitKoenig' Holbe <Mario.Holbe@TU-Ilmenau.DE> (26/01/2012):
> > root@darkside:~# echo q | alsamixer
> > Segmentation fault (core dumped)
> Please get us more info about that???
> I can't reproduce it here, also with gnome/pulseaudio installed.

After I reported this I found #657342 vs. alsa-utils (which ships
alsamixer). Sami Liedes attached a gdb backtrace there that could
probably be helpful.
At a first glance I'd say it looks like memory poisoning - but that's
just a wild guess.


Mario
-- 
() Ascii Ribbon Campaign
/\ Support plain text e-mail
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, XCB Developers <xcb@lists.freedesktop.org>:
Bug#657538; Package libxcb1. (Thu, 26 Jan 2012 23:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to XCB Developers <xcb@lists.freedesktop.org>. (Thu, 26 Jan 2012 23:03:06 GMT) Full text and rfc822 format available.

Message #25 received at 657538@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Cyril Brulebois <kibi@debian.org>, 657538@bugs.debian.org
Cc: Mario 'BitKoenig' Holbe <Mario.Holbe@TU-Ilmenau.DE>
Subject: Re: Bug#657538: libxcb1: breaks alsamixer
Date: Fri, 27 Jan 2012 00:01:25 +0100
[Message part 1 (text/plain, inline)]
On Thu, Jan 26, 2012 at 23:14:52 +0100, Cyril Brulebois wrote:

> Mario 'BitKoenig' Holbe <Mario.Holbe@TU-Ilmenau.DE> (26/01/2012):
> > Package: libxcb1                         
> > Version: 1.8-1
> > Severity: critical
> > Justification: makes unrelated software on the system break
> > 
> > Hello,
> > 
> > since libxcb1 upgraded to 1.8-1 alsamixer segfaults on startup.
> > Downgrading libxcb1 to 1.7-4 fixes this.
> > The system is a typical workstation with all the GNOME-bloat (and hence
> > also pulseaudio) installed.
> > 
> > root@darkside:~# COLUMNS=72 dpkg -l libxcb1 | grep ^i
> > ii  libxcb1        1.7-4          X C Binding
> > root@darkside:~# echo q | alsamixer
> > Segmentation fault (core dumped)
> 
> Please get us more info about that…
> 
Core was generated by `alsamixer'.
Program terminated with signal 11, Segmentation fault.
#0  0x00007f96c1c34fd0 in snd_mixer_class_unregister ()
   from /usr/lib/x86_64-linux-gnu/libasound.so.2
(gdb) where
#0  0x00007f96c1c34fd0 in snd_mixer_class_unregister ()
   from /usr/lib/x86_64-linux-gnu/libasound.so.2
#1  0x00007f96c1c350cd in snd_mixer_close ()
   from /usr/lib/x86_64-linux-gnu/libasound.so.2
#2  0x0000000000409a0a in ?? ()
#3  0x00007f96bf6fccb6 in xcb_disconnect (c=0x25fb8d0)
    at ../../src/xcb_conn.c:307
#4  0x00007f96c02ddfbc in pa_client_conf_from_x11 ()
   from /usr/lib/x86_64-linux-gnu/libpulsecommon-1.1.so
#5  0x00007f96c07149cf in pa_context_new_with_proplist ()
   from /usr/lib/x86_64-linux-gnu/libpulse.so.0
#6  0x00007f96bcc9c8e9 in pulse_new ()
   from /usr/lib/x86_64-linux-gnu/alsa-lib/libasound_module_ctl_pulse.so
#7  0x00007f96bcc9c0e0 in _snd_ctl_pulse_open ()
   from /usr/lib/x86_64-linux-gnu/alsa-lib/libasound_module_ctl_pulse.so
#8  0x00007f96c1c2b0a8 in ?? () from /usr/lib/x86_64-linux-gnu/libasound.so.2
#9  0x00007f96c1c299db in snd_hctl_open ()
   from /usr/lib/x86_64-linux-gnu/libasound.so.2
#10 0x00007f96c1c349cd in snd_mixer_attach ()
   from /usr/lib/x86_64-linux-gnu/libasound.so.2
#11 0x00007f96c1c35bf6 in snd_mixer_selem_register ()
   from /usr/lib/x86_64-linux-gnu/libasound.so.2
#12 0x000000000040913c in ?? ()
#13 0x00000000004046fe in ?? ()
#14 0x00007f96c11e3ead in __libc_start_main (main=<optimized out>, 
    argc=<optimized out>, ubp_av=<optimized out>, init=<optimized out>, 
    fini=<optimized out>, rtld_fini=<optimized out>, stack_end=0x7fffabc3f7e8)
    at libc-start.c:228

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, XCB Developers <xcb@lists.freedesktop.org>:
Bug#657538; Package libxcb1. (Thu, 26 Jan 2012 23:27:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to XCB Developers <xcb@lists.freedesktop.org>. (Thu, 26 Jan 2012 23:27:09 GMT) Full text and rfc822 format available.

Message #30 received at 657538@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Julien Cristau <jcristau@debian.org>, 657538@bugs.debian.org
Cc: Mario 'BitKoenig' Holbe <Mario.Holbe@TU-Ilmenau.DE>, alsa-utils@packages.debian.org, 657342@bugs.debian.org
Subject: Re: Bug#657538: libxcb1: breaks alsamixer
Date: Fri, 27 Jan 2012 00:22:28 +0100
[Message part 1 (text/plain, inline)]
reassign 657538 alsa-utils 1.0.24.2-4
severity 657538 grave
thanks

Julien Cristau <jcristau@debian.org> (27/01/2012):
> Core was generated by `alsamixer'.
> Program terminated with signal 11, Segmentation fault.
> #0  0x00007f96c1c34fd0 in snd_mixer_class_unregister ()
>    from /usr/lib/x86_64-linux-gnu/libasound.so.2
> (gdb) where
> #0  0x00007f96c1c34fd0 in snd_mixer_class_unregister ()
>    from /usr/lib/x86_64-linux-gnu/libasound.so.2
> #1  0x00007f96c1c350cd in snd_mixer_close ()
>    from /usr/lib/x86_64-linux-gnu/libasound.so.2
> #2  0x0000000000409a0a in ?? ()
> #3  0x00007f96bf6fccb6 in xcb_disconnect (c=0x25fb8d0)
>     at ../../src/xcb_conn.c:307

In the new libxcb version, xcb_disconnect calls shutdown() on a socket
(http://pubs.opengroup.org/onlinepubs/000095399/functions/shutdown.html
or man 2 shutdown), but alsa-utils exposes such a function. → kaboom.

Reassigning to alsa-utils, which needs to stop using already-taken
names. Julien: thanks for the quick investigation.

Since it doesn't affect other packages, grave shall be enough.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Bug reassigned from package 'libxcb1' to 'alsa-utils'. Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Thu, 26 Jan 2012 23:27:12 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions libxcb/1.8-1. Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Thu, 26 Jan 2012 23:27:13 GMT) Full text and rfc822 format available.

Bug Marked as found in versions alsa-utils/1.0.24.2-4. Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Thu, 26 Jan 2012 23:27:14 GMT) Full text and rfc822 format available.

Severity set to 'grave' from 'critical' Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Thu, 26 Jan 2012 23:27:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#657538; Package alsa-utils. (Fri, 27 Jan 2012 00:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Mario 'BitKoenig' Holbe" <Mario.Holbe@TU-Ilmenau.DE>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Fri, 27 Jan 2012 00:18:06 GMT) Full text and rfc822 format available.

Message #43 received at 657538@bugs.debian.org (full text, mbox):

From: "Mario 'BitKoenig' Holbe" <Mario.Holbe@TU-Ilmenau.DE>
To: Cyril Brulebois <kibi@debian.org>
Cc: Julien Cristau <jcristau@debian.org>, 657538@bugs.debian.org, alsa-utils@packages.debian.org, 657342@bugs.debian.org
Subject: Re: Bug#657538: libxcb1: breaks alsamixer
Date: Fri, 27 Jan 2012 01:16:09 +0100
[Message part 1 (text/plain, inline)]
On Fri, Jan 27, 2012 at 12:22:28AM +0100, Cyril Brulebois wrote:
> Julien Cristau <jcristau@debian.org> (27/01/2012):
> > Core was generated by `alsamixer'.
> > Program terminated with signal 11, Segmentation fault.
> > #0  0x00007f96c1c34fd0 in snd_mixer_class_unregister ()
> >    from /usr/lib/x86_64-linux-gnu/libasound.so.2
> > (gdb) where
> > #0  0x00007f96c1c34fd0 in snd_mixer_class_unregister ()
> >    from /usr/lib/x86_64-linux-gnu/libasound.so.2
> > #1  0x00007f96c1c350cd in snd_mixer_close ()
> >    from /usr/lib/x86_64-linux-gnu/libasound.so.2
> > #2  0x0000000000409a0a in ?? ()
> > #3  0x00007f96bf6fccb6 in xcb_disconnect (c=0x25fb8d0)
> >     at ../../src/xcb_conn.c:307
> 
> In the new libxcb version, xcb_disconnect calls shutdown() on a socket
> (http://pubs.opengroup.org/onlinepubs/000095399/functions/shutdown.html
> or man 2 shutdown), but alsa-utils exposes such a function. ??? kaboom.
> 
> Reassigning to alsa-utils, which needs to stop using already-taken
> names. Julien: thanks for the quick investigation.

Googling around a little showed up RedHat seems to have had this issue
as well: https://bugzilla.redhat.com/show_bug.cgi?id=731381
... and fixed it with a patch from ALSA-git:
http://git.alsa-project.org/?p=alsa-utils.git;a=commitdiff;h=4c09aaa5c13c2260fea57a89c47f88252da8a692


Thanks Julien and Cyril
   Mario
-- 
Il semble que la perfection soit atteinte non quand il n'y a plus rien à
ajouter, mais quand il n'y a plus rien à retrancher.
             -- Antoine de Saint-Exupéry: Terre des Hommes, III: L'Avion
[signature.asc (application/pgp-signature, inline)]

Merged 657342 657538. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Fri, 27 Jan 2012 05:15:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#657538; Package alsa-utils. (Fri, 27 Jan 2012 09:27:47 GMT) Full text and rfc822 format available.

Acknowledgement sent to Elimar Riesebieter <riesebie@lxtec.de>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Fri, 27 Jan 2012 09:27:57 GMT) Full text and rfc822 format available.

Message #50 received at 657538@bugs.debian.org (full text, mbox):

From: Elimar Riesebieter <riesebie@lxtec.de>
To: Mario 'BitKoenig' Holbe <Mario.Holbe@TU-Ilmenau.DE>, 657342@bugs.debian.org
Cc: Cyril Brulebois <kibi@debian.org>, 657538@bugs.debian.org, Julien Cristau <jcristau@debian.org>, Jordi Mallach <jordi@debian.org>, control@bugs.debian.org
Subject: Re: [Pkg-alsa-devel] Bug#657342: Bug#657538: libxcb1: breaks alsamixer
Date: Fri, 27 Jan 2012 10:25:08 +0100
tags 657342 pending
tags 657538 pending
thanks


* Mario 'BitKoenig' Holbe [120127 01:16 +0100]:

[...]
> Googling around a little showed up RedHat seems to have had this issue
> as well: https://bugzilla.redhat.com/show_bug.cgi?id=731381
> ... and fixed it with a patch from ALSA-git:
> http://git.alsa-project.org/?p=alsa-utils.git;a=commitdiff;h=4c09aaa5c13c2260fea57a89c47f88252da8a692

That patch works ;-) Thanks to everybody.

@Jordi: Please upload r2569

Elimar

-- 
  Alles was viel bedacht wird ist bedenklich!;-)
         Friedrich Nietzsche




Added tag(s) pending. Request was from Elimar Riesebieter <riesebie@lxtec.de> to control@bugs.debian.org. (Fri, 27 Jan 2012 09:28:05 GMT) Full text and rfc822 format available.

Reply sent to Jordi Mallach <jordi@debian.org>:
You have taken responsibility. (Sat, 28 Jan 2012 15:48:54 GMT) Full text and rfc822 format available.

Notification sent to "Mario 'BitKoenig' Holbe" <Mario.Holbe@TU-Ilmenau.DE>:
Bug acknowledged by developer. (Sat, 28 Jan 2012 15:48:54 GMT) Full text and rfc822 format available.

Message #57 received at 657538-close@bugs.debian.org (full text, mbox):

From: Jordi Mallach <jordi@debian.org>
To: 657538-close@bugs.debian.org
Subject: Bug#657538: fixed in alsa-utils 1.0.24.2-5
Date: Sat, 28 Jan 2012 15:17:17 +0000
Source: alsa-utils
Source-Version: 1.0.24.2-5

We believe that the bug you reported is fixed in the latest version of
alsa-utils, which is due to be installed in the Debian FTP archive:

alsa-utils-udeb_1.0.24.2-5_amd64.udeb
  to main/a/alsa-utils/alsa-utils-udeb_1.0.24.2-5_amd64.udeb
alsa-utils_1.0.24.2-5.debian.tar.bz2
  to main/a/alsa-utils/alsa-utils_1.0.24.2-5.debian.tar.bz2
alsa-utils_1.0.24.2-5.dsc
  to main/a/alsa-utils/alsa-utils_1.0.24.2-5.dsc
alsa-utils_1.0.24.2-5_amd64.deb
  to main/a/alsa-utils/alsa-utils_1.0.24.2-5_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 657538@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jordi Mallach <jordi@debian.org> (supplier of updated alsa-utils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 28 Jan 2012 15:37:07 +0100
Source: alsa-utils
Binary: alsa-utils alsa-utils-udeb
Architecture: source amd64
Version: 1.0.24.2-5
Distribution: unstable
Urgency: low
Maintainer: Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>
Changed-By: Jordi Mallach <jordi@debian.org>
Description: 
 alsa-utils - Utilities for configuring and using ALSA
 alsa-utils-udeb - Utilities for configuring and using ALSA (udeb) (udeb)
Closes: 657342 657538
Changes: 
 alsa-utils (1.0.24.2-5) unstable; urgency=low
 .
   [ Elimar Riesebieter ]
   * Introduce alsamixer_libxch1.patch from upstream to fix a linking
     clash for shutdown(). (Closes: #657342, #657538)
Checksums-Sha1: 
 753123016b4c627a0b7c31a35fb6787923bbe4d0 1550 alsa-utils_1.0.24.2-5.dsc
 d888f62d4cc0765ea2201488d19f9ed8ae4ad122 34743 alsa-utils_1.0.24.2-5.debian.tar.bz2
 cdd3837aa197274ed6fa49a11870bf56fd492fc1 1170066 alsa-utils_1.0.24.2-5_amd64.deb
 5aec62927649d04f2bf587727cc5c216797aa83c 61488 alsa-utils-udeb_1.0.24.2-5_amd64.udeb
Checksums-Sha256: 
 f206fb804d253f5470b30c47a5cefa5db4013e782d83dbf8733677f617247fc0 1550 alsa-utils_1.0.24.2-5.dsc
 0d9480671b2eeaca4c74d432a5220c1752054fc28ab076f2a70832cf994dcd5e 34743 alsa-utils_1.0.24.2-5.debian.tar.bz2
 58ade8d9376c7bb846b8a988bbfc6c66477b359736adde36f334da11c20765c4 1170066 alsa-utils_1.0.24.2-5_amd64.deb
 4dd5bc8f13acae6d754c10ab8a947a5d16df2f6cc120240061c722f21a91b6d8 61488 alsa-utils-udeb_1.0.24.2-5_amd64.udeb
Files: 
 00fad603cc14c67de67d6f78bcdb2983 1550 sound optional alsa-utils_1.0.24.2-5.dsc
 8c05826882877a95f98c9e67102bcef3 34743 sound optional alsa-utils_1.0.24.2-5.debian.tar.bz2
 cd24add7c966f303b8ff0f14f80cbf7b 1170066 sound optional alsa-utils_1.0.24.2-5_amd64.deb
 684d143cad18c828312c6e68179403ff 61488 debian-installer optional alsa-utils-udeb_1.0.24.2-5_amd64.udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk8kDikACgkQJYSUupF6Il77SwCgkGpHQfcl0SjAceHNbXGFuipF
NVAAni8YEXBYuQvzbhNIjeAAhvf4x3z/
=yASW
-----END PGP SIGNATURE-----





Reply sent to Jordi Mallach <jordi@debian.org>:
You have taken responsibility. (Sat, 28 Jan 2012 15:48:55 GMT) Full text and rfc822 format available.

Notification sent to Guy Roussin <guy.roussin@teledetection.fr>:
Bug acknowledged by developer. (Sat, 28 Jan 2012 15:48:55 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#657538; Package alsa-utils. (Sat, 18 Feb 2012 09:21:22 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Sat, 18 Feb 2012 09:21:23 GMT) Full text and rfc822 format available.

Message #67 received at 657538@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 657538@bugs.debian.org
Cc: libxcb1@packages.debian.org
Subject: Re: libxcb1: breaks alsamixer
Date: Sat, 18 Feb 2012 03:16:49 -0600
# symbol pollution introduced in v1.0.21~12 (alsamixer: show channel
# names for multichannel controls, 2009-05-25)
found 657342 alsa-utils/1.0.21-1
unmerge 657538
# harmless in squeeze
tags 657342 + wheezy sid experimental
severity 657538 serious
reassign 657538 libxcb1 1.8-1
tags 657538 + patch
quit

Cyril Brulebois wrote:
> Julien Cristau <jcristau@debian.org> (27/01/2012):

>> Core was generated by `alsamixer'.
>> Program terminated with signal 11, Segmentation fault.
>> #0  0x00007f96c1c34fd0 in snd_mixer_class_unregister ()
>>    from /usr/lib/x86_64-linux-gnu/libasound.so.2
>> (gdb) where
>> #0  0x00007f96c1c34fd0 in snd_mixer_class_unregister ()
>>    from /usr/lib/x86_64-linux-gnu/libasound.so.2
>> #1  0x00007f96c1c350cd in snd_mixer_close ()
>>    from /usr/lib/x86_64-linux-gnu/libasound.so.2
>> #2  0x0000000000409a0a in ?? ()
>> #3  0x00007f96bf6fccb6 in xcb_disconnect (c=0x25fb8d0)
>>     at ../../src/xcb_conn.c:307
>
> In the new libxcb version, xcb_disconnect calls shutdown() on a socket
> (http://pubs.opengroup.org/onlinepubs/000095399/functions/shutdown.html
> or man 2 shutdown), but alsa-utils exposes such a function. → kaboom.
>
> Reassigning to alsa-utils, which needs to stop using already-taken
> names.

Thanks for a clear analysis.  Fixed in alsa-utils/sid.  How about this
patch, to take care of the upgrade path?
---
 debian/changelog |    7 +++++++
 debian/control   |    2 +-
 2 files changed, 8 insertions(+), 1 deletions(-)

diff --git a/debian/changelog b/debian/changelog
index 28cc311..e3e7a12 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,10 @@
+libxcb (1.8-3) UNRELEASED; urgency=low
+
+  * Breaks alsa-utils (<< 1.0.24.2-5) to avoid leaving alsamixer
+    broken during partial upgrades (closes: #657538)
+
+ -- Jonathan Nieder <jrnieder@gmail.com>  Sat, 18 Feb 2012 03:06:33 -0600
+
 libxcb (1.8-2) unstable; urgency=high
 
   * Stop passing MSG_WAITALL to recv() (closes: #659104)
diff --git a/debian/control b/debian/control
index ef63e9f..307f71a 100644
--- a/debian/control
+++ b/debian/control
@@ -31,7 +31,7 @@ Package: libxcb1
 Section: libs
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: libxcb-xlib0
+Breaks: libxcb-xlib0, alsa-utils (<< 1.0.24.2-5)
 Pre-Depends: ${misc:Pre-Depends}
 Multi-Arch: same
 Description: X C Binding
-- 
1.7.2.5





Bug Marked as found in versions alsa-utils/1.0.21-1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 18 Feb 2012 09:21:29 GMT) Full text and rfc822 format available.

Disconnected #657538 from all other report(s). Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 18 Feb 2012 09:21:30 GMT) Full text and rfc822 format available.

Severity set to 'serious' from 'grave' Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 18 Feb 2012 09:21:32 GMT) Full text and rfc822 format available.

Bug reassigned from package 'alsa-utils' to 'libxcb1'. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 18 Feb 2012 09:21:32 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions alsa-utils/1.0.24.2-4 and alsa-utils/1.0.21-1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 18 Feb 2012 09:21:33 GMT) Full text and rfc822 format available.

Bug No longer marked as fixed in versions alsa-utils/1.0.24.2-5. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 18 Feb 2012 09:21:34 GMT) Full text and rfc822 format available.

Bug Marked as found in versions libxcb/1.8-1. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 18 Feb 2012 09:21:35 GMT) Full text and rfc822 format available.

Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 18 Feb 2012 09:33:03 GMT) Full text and rfc822 format available.

Removed tag(s) upstream and fixed-upstream. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Sat, 18 Feb 2012 09:33:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, XCB Developers <xcb@lists.freedesktop.org>:
Bug#657538; Package libxcb1. (Sat, 03 Mar 2012 14:12:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon McVittie <smcv@debian.org>:
Extra info received and forwarded to list. Copy sent to XCB Developers <xcb@lists.freedesktop.org>. (Sat, 03 Mar 2012 14:12:11 GMT) Full text and rfc822 format available.

Message #90 received at 657538@bugs.debian.org (full text, mbox):

From: Simon McVittie <smcv@debian.org>
To: Jonathan Nieder <jrnieder@gmail.com>, 657538@bugs.debian.org
Cc: libxcb1@packages.debian.org
Subject: Re: Bug#657538: libxcb1: breaks alsamixer
Date: Sat, 3 Mar 2012 14:09:25 +0000
On Sat, 18 Feb 2012 at 03:16:49 -0600, Jonathan Nieder wrote:
> Thanks for a clear analysis.  Fixed in alsa-utils/sid.  How about this
> patch, to take care of the upgrade path?

I'm far from convinced that "make the upgrade path a little safer" ought
to be RC; the real bug was in alsamixer, and is fixed.

> diff --git a/debian/changelog b/debian/changelog
> index 28cc311..e3e7a12 100644
> --- a/debian/changelog
> +++ b/debian/changelog
> @@ -1,3 +1,10 @@
> +libxcb (1.8-3) UNRELEASED; urgency=low
> +
> +  * Breaks alsa-utils (<< 1.0.24.2-5) to avoid leaving alsamixer
> +    broken during partial upgrades (closes: #657538)
> +
> + -- Jonathan Nieder <jrnieder@gmail.com>  Sat, 18 Feb 2012 03:06:33 -0600
> +
>  libxcb (1.8-2) unstable; urgency=high
>  
>    * Stop passing MSG_WAITALL to recv() (closes: #659104)
> diff --git a/debian/control b/debian/control
> index ef63e9f..307f71a 100644
> --- a/debian/control
> +++ b/debian/control
> @@ -31,7 +31,7 @@ Package: libxcb1
>  Section: libs
>  Architecture: any
>  Depends: ${misc:Depends}, ${shlibs:Depends}
> -Breaks: libxcb-xlib0
> +Breaks: libxcb-xlib0, alsa-utils (<< 1.0.24.2-5)
>  Pre-Depends: ${misc:Pre-Depends}
>  Multi-Arch: same
>  Description: X C Binding

This patch looks perfectly reasonable, and it'd be great if the libxcb
maintainers would apply it, but I don't think it really merits an NMU.

    S
    at the Cambridge BSP




Severity set to 'important' from 'serious' Request was from Josh Triplett <josh@joshtriplett.org> to control@bugs.debian.org. (Sat, 30 Jun 2012 21:24:06 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Sun, 09 Jun 2013 19:21:18 GMT) Full text and rfc822 format available.

Notification sent to "Mario 'BitKoenig' Holbe" <Mario.Holbe@TU-Ilmenau.DE>:
Bug acknowledged by developer. (Sun, 09 Jun 2013 19:21:18 GMT) Full text and rfc822 format available.

Message #97 received at 657538-close@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: 657538-close@bugs.debian.org
Subject: Bug#657538: fixed in libxcb 1.9.1-1
Date: Sun, 09 Jun 2013 19:19:47 +0000
Source: libxcb
Source-Version: 1.9.1-1

We believe that the bug you reported is fixed in the latest version of
libxcb, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 657538@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Julien Cristau <jcristau@debian.org> (supplier of updated libxcb package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 09 Jun 2013 20:52:53 +0200
Source: libxcb
Binary: libxcb1 libxcb1-udeb libxcb1-dev libxcb1-dbg libxcb-doc libxcb-composite0 libxcb-composite0-dev libxcb-composite0-dbg libxcb-damage0 libxcb-damage0-dev libxcb-damage0-dbg libxcb-dpms0 libxcb-dpms0-dev libxcb-dpms0-dbg libxcb-glx0 libxcb-glx0-dev libxcb-glx0-dbg libxcb-randr0 libxcb-randr0-dev libxcb-randr0-dbg libxcb-record0 libxcb-record0-dev libxcb-record0-dbg libxcb-render0 libxcb-render0-dev libxcb-render0-dbg libxcb-res0 libxcb-res0-dev libxcb-res0-dbg libxcb-screensaver0 libxcb-screensaver0-dev libxcb-screensaver0-dbg libxcb-shape0 libxcb-shape0-dev libxcb-shape0-dbg libxcb-shm0 libxcb-shm0-dev libxcb-shm0-dbg libxcb-sync0 libxcb-sync0-dev libxcb-sync0-dbg libxcb-xevie0 libxcb-xevie0-dev libxcb-xevie0-dbg libxcb-xf86dri0 libxcb-xf86dri0-dev libxcb-xf86dri0-dbg libxcb-xfixes0 libxcb-xfixes0-dev libxcb-xfixes0-dbg libxcb-xinerama0 libxcb-xinerama0-dev libxcb-xinerama0-dbg libxcb-xprint0 libxcb-xprint0-dev libxcb-xprint0-dbg libxcb-xtest0 libxcb-xtest0-dev
 libxcb-xtest0-dbg libxcb-xv0 libxcb-xv0-dev libxcb-xv0-dbg libxcb-xvmc0 libxcb-xvmc0-dev libxcb-xvmc0-dbg libxcb-dri2-0 libxcb-dri2-0-dev
 libxcb-dri2-0-dbg
Architecture: source amd64 all
Version: 1.9.1-1
Distribution: unstable
Urgency: low
Maintainer: XCB Developers <xcb@lists.freedesktop.org>
Changed-By: Julien Cristau <jcristau@debian.org>
Description: 
 libxcb-composite0 - X C Binding, composite extension
 libxcb-composite0-dbg - X C Binding, composite extension, debugging symbols
 libxcb-composite0-dev - X C Binding, composite extension, development files
 libxcb-damage0 - X C Binding, damage extension
 libxcb-damage0-dbg - X C Binding, damage extension, debugging symbols
 libxcb-damage0-dev - X C Binding, damage extension, development files
 libxcb-doc - X C Binding, development documentation
 libxcb-dpms0 - X C Binding, dpms extension
 libxcb-dpms0-dbg - X C Binding, dpms extension, debugging symbols
 libxcb-dpms0-dev - X C Binding, dpms extension, development files
 libxcb-dri2-0 - X C Binding, dri2 extension
 libxcb-dri2-0-dbg - X C Binding, dri2 extension, debugging symbols
 libxcb-dri2-0-dev - X C Binding, dri2 extension, development files
 libxcb-glx0 - X C Binding, glx extension
 libxcb-glx0-dbg - X C Binding, glx extension, debugging symbols
 libxcb-glx0-dev - X C Binding, glx extension, development files
 libxcb-randr0 - X C Binding, randr extension
 libxcb-randr0-dbg - X C Binding, randr extension, debugging symbols
 libxcb-randr0-dev - X C Binding, randr extension, development files
 libxcb-record0 - X C Binding, record extension
 libxcb-record0-dbg - X C Binding, record extension, debugging symbols
 libxcb-record0-dev - X C Binding, record extension, development files
 libxcb-render0 - X C Binding, render extension
 libxcb-render0-dbg - X C Binding, render extension, debugging symbols
 libxcb-render0-dev - X C Binding, render extension, development files
 libxcb-res0 - X C Binding, res extension
 libxcb-res0-dbg - X C Binding, res extension, debugging symbols
 libxcb-res0-dev - X C Binding, res extension, development files
 libxcb-screensaver0 - X C Binding, screensaver extension
 libxcb-screensaver0-dbg - X C Binding, screensaver extension, debugging symbols
 libxcb-screensaver0-dev - X C Binding, screensaver extension, development files
 libxcb-shape0 - X C Binding, shape extension
 libxcb-shape0-dbg - X C Binding, shape extension, debugging symbols
 libxcb-shape0-dev - X C Binding, shape extension, development files
 libxcb-shm0 - X C Binding, shm extension
 libxcb-shm0-dbg - X C Binding, shm extension, debugging symbols
 libxcb-shm0-dev - X C Binding, shm extension, development files
 libxcb-sync0 - X C Binding, sync extension
 libxcb-sync0-dbg - X C Binding, sync extension, debugging symbols
 libxcb-sync0-dev - X C Binding, sync extension, development files
 libxcb-xevie0 - X C Binding, xevie extension
 libxcb-xevie0-dbg - X C Binding, xevie extension, debugging symbols
 libxcb-xevie0-dev - X C Binding, xevie extension, development files
 libxcb-xf86dri0 - X C Binding, xf86dri extension
 libxcb-xf86dri0-dbg - X C Binding, xf86dri extension, debugging symbols
 libxcb-xf86dri0-dev - X C Binding, xf86dri extension, development files
 libxcb-xfixes0 - X C Binding, xfixes extension
 libxcb-xfixes0-dbg - X C Binding, xfixes extension, debugging symbols
 libxcb-xfixes0-dev - X C Binding, xfixes extension, development files
 libxcb-xinerama0 - X C Binding, xinerama extension
 libxcb-xinerama0-dbg - X C Binding, xinerama extension, debugging symbols
 libxcb-xinerama0-dev - X C Binding, xinerama extension, development files
 libxcb-xprint0 - X C Binding, xprint extension
 libxcb-xprint0-dbg - X C Binding, xprint extension, debugging symbols
 libxcb-xprint0-dev - X C Binding, xprint extension, development files
 libxcb-xtest0 - X C Binding, xtest extension
 libxcb-xtest0-dbg - X C Binding, xtest extension, debugging symbols
 libxcb-xtest0-dev - X C Binding, xtest extension, development files
 libxcb-xv0 - X C Binding, xv extension
 libxcb-xv0-dbg - X C Binding, xv extension, debugging symbols
 libxcb-xv0-dev - X C Binding, xv extension, development files
 libxcb-xvmc0 - X C Binding, xvmc extension
 libxcb-xvmc0-dbg - X C Binding, xvmc extension, debugging symbols
 libxcb-xvmc0-dev - X C Binding, xvmc extension, development files
 libxcb1    - X C Binding
 libxcb1-dbg - X C Binding, debugging symbols
 libxcb1-dev - X C Binding, development files
 libxcb1-udeb - X C Binding (udeb)
Closes: 657538 710344
Changes: 
 libxcb (1.9.1-1) unstable; urgency=low
 .
   * New upstream release.
   * Work around #711599 by adding -lm -lrt explicitly to the tests linker
     flags.
   * Remove all-local rule from tests/Makefile.am to fix build with new
     automake (closes: #710344).  Thanks, Marc Deslauriers!
   * Delete test-driver on clean.  Apparently new automake gives us yet more
     cruft in the source tree.
   * libxcb1 Breaks alsa-utils (<< 1.0.24.2-5) to avoid leaving alsamixer
     broken during partial upgrades (closes: #657538).
Checksums-Sha1: 
 2dd9f0834a1c484369087658489cf5ffc8498366 5825 libxcb_1.9.1-1.dsc
 abf0b53e83b39f16d0172b6d843db1cb71c50a9f 472639 libxcb_1.9.1.orig.tar.gz
 4087ffb42a36319155ecdb854eb12702e918f09a 20329 libxcb_1.9.1-1.diff.gz
 82b9139dd4d69711afdc4afa3516a073f306208a 49064 libxcb1_1.9.1-1_amd64.deb
 043dfeeacd9db5d09d239f88bb121565f5ebf3bf 31228 libxcb1-udeb_1.9.1-1_amd64.udeb
 d28a787311c16a9e193cd1ed58b4e4fa68a65566 88414 libxcb1-dev_1.9.1-1_amd64.deb
 96a0275ed2777211b0d67516b416b5207e35b999 132482 libxcb1-dbg_1.9.1-1_amd64.deb
 6f536ef886bd7a9fa46c37b739975f5973649f02 5745398 libxcb-doc_1.9.1-1_all.deb
 1a87319d7d94a07024aa32cd3f7c456aa8ff29e5 10436 libxcb-composite0_1.9.1-1_amd64.deb
 907cf301259e948f0f31c3e37f506ad6bf388818 11328 libxcb-composite0-dev_1.9.1-1_amd64.deb
 c99d2cc1725c36ebb88c2cbda960100f0729564e 14198 libxcb-composite0-dbg_1.9.1-1_amd64.deb
 c6f67e3a89b260a9a8aa7fa1e1065bdf09385451 10072 libxcb-damage0_1.9.1-1_amd64.deb
 014c9020b22b83a8ff49493e10bdc313f7aec833 11048 libxcb-damage0-dev_1.9.1-1_amd64.deb
 e3ec98f8f1aed3ae72dcca17025dad51631a682d 12984 libxcb-damage0-dbg_1.9.1-1_amd64.deb
 b42fd39e81c2f77f63d852a71923a0a0056df22c 10358 libxcb-dpms0_1.9.1-1_amd64.deb
 ec098a3d8933007a3e6fc9746bdba3414746c983 11186 libxcb-dpms0-dev_1.9.1-1_amd64.deb
 8403ef8f1a0e1fbc33eb5982c17f76b5d850d45d 13438 libxcb-dpms0-dbg_1.9.1-1_amd64.deb
 17186367c28c7ed839aac9d837f53be12ba79bc0 31168 libxcb-glx0_1.9.1-1_amd64.deb
 549a33138f95bc20a0c50268b5c62a26f3130d35 48956 libxcb-glx0-dev_1.9.1-1_amd64.deb
 8cc8b9dd868b5191274fc61f5598a4a0d44a5bfc 71712 libxcb-glx0-dbg_1.9.1-1_amd64.deb
 2cb6f041538d8afb859139be7bea9de683349d6b 19868 libxcb-randr0_1.9.1-1_amd64.deb
 0d8064a0fc64ca3b42d5569e3e86ac5b7cb7f8a4 26984 libxcb-randr0-dev_1.9.1-1_amd64.deb
 4b112eb37bbf87bfc5c5961e2fafb97143b3b86b 37328 libxcb-randr0-dbg_1.9.1-1_amd64.deb
 a87e447ba6f20f24533c9651570b0a5670cc3985 12108 libxcb-record0_1.9.1-1_amd64.deb
 c6e761375f7565aa9bd223c19e4966e4ac497171 14156 libxcb-record0-dev_1.9.1-1_amd64.deb
 6652068cded67082a0da8b4a7b5f420f2daee838 17594 libxcb-record0-dbg_1.9.1-1_amd64.deb
 fb1f737fe40ed9f0dffcc378805012f55a7be313 18434 libxcb-render0_1.9.1-1_amd64.deb
 152b607a3a694c3a5c9322619fa31c3ea6361951 26236 libxcb-render0-dev_1.9.1-1_amd64.deb
 84e1a7de4ae7cef29e031ad0e872afd4b74abde5 35420 libxcb-render0-dbg_1.9.1-1_amd64.deb
 1a9cb604e234210771b784a0789093ca727feedf 10450 libxcb-res0_1.9.1-1_amd64.deb
 cac78de21cd42f43cc53fc9e714d1284faf8fd7f 11424 libxcb-res0-dev_1.9.1-1_amd64.deb
 067c0cf0de40e613f671276db19e657dadb5b4f9 13482 libxcb-res0-dbg_1.9.1-1_amd64.deb
 f17c774a796094d2e4ce3130565949aad8fdfaa5 10406 libxcb-screensaver0_1.9.1-1_amd64.deb
 0067797f53c859935f1ab03867f975cdb2ff23cf 11488 libxcb-screensaver0-dev_1.9.1-1_amd64.deb
 2b4001f6e9776d16f2ae96b139dfad5de80fac99 13954 libxcb-screensaver0-dbg_1.9.1-1_amd64.deb
 fd0a25161ade3042361ac86d06e70d5e902132ef 11134 libxcb-shape0_1.9.1-1_amd64.deb
 52218499fcd21f1200ae7c2881b1e1227bf3e92b 13230 libxcb-shape0-dev_1.9.1-1_amd64.deb
 35410e248f31f011ffd199c8c0d1d227266f0526 16346 libxcb-shape0-dbg_1.9.1-1_amd64.deb
 9a93765d89833e64a13e64e11e39b61728550f7f 10464 libxcb-shm0_1.9.1-1_amd64.deb
 0a69b20bd90326f1d7cda7fec035af533360c1a4 11912 libxcb-shm0-dev_1.9.1-1_amd64.deb
 7be90918d3588aada43510e7068b5f1e09b4a58b 14380 libxcb-shm0-dbg_1.9.1-1_amd64.deb
 04cba7c941c0ca7567a85520f2a0576e12b40456 13362 libxcb-sync0_1.9.1-1_amd64.deb
 52c06c44aeea940b6f694d2523a57c2ca4e8ca7f 16584 libxcb-sync0-dev_1.9.1-1_amd64.deb
 a98bc16f837b9c78d78351a95e9e68dd271eacff 20972 libxcb-sync0-dbg_1.9.1-1_amd64.deb
 d17c12adce1d4bed9d2e98ee2397253697742252 10342 libxcb-xevie0_1.9.1-1_amd64.deb
 0524bcb8ea7445f8d656b38410ef57781ecd1ccc 11346 libxcb-xevie0-dev_1.9.1-1_amd64.deb
 fe367f6833b22f68c7e401ef030bba84e0e107db 13616 libxcb-xevie0-dbg_1.9.1-1_amd64.deb
 fa142fbf3d220b36c74ef42d6c16e51a965e4a70 12142 libxcb-xf86dri0_1.9.1-1_amd64.deb
 4345a066247be573b3616bdb1a74c8398956a2e2 14220 libxcb-xf86dri0-dev_1.9.1-1_amd64.deb
 00ba9360523e78c89acf9074d59ca33cb2e72f20 18116 libxcb-xf86dri0-dbg_1.9.1-1_amd64.deb
 bfa16117c18384a157ea427033762d7b302dece8 14490 libxcb-xfixes0_1.9.1-1_amd64.deb
 30eadad44fcb5bdafaae9a1c4e34ddf1edc4a4d6 18910 libxcb-xfixes0-dev_1.9.1-1_amd64.deb
 5d85b6b5a4491535ab232787d302a819b18a0412 25734 libxcb-xfixes0-dbg_1.9.1-1_amd64.deb
 85009dbfdcb7656babb72dc7f90308cbffcfe24e 10556 libxcb-xinerama0_1.9.1-1_amd64.deb
 05311ba965f9b68b57e27e415f6569b7f4043256 11726 libxcb-xinerama0-dev_1.9.1-1_amd64.deb
 c477e6d410abaf2c0cfaf1a5d272b560b5192d89 14002 libxcb-xinerama0-dbg_1.9.1-1_amd64.deb
 eba63f1d00940c58f2c48b2ab83a1c7df1559374 16600 libxcb-xprint0_1.9.1-1_amd64.deb
 a3f15022f8f507eeb35aec3035a373ac6083aff2 21106 libxcb-xprint0-dev_1.9.1-1_amd64.deb
 a05ea7de028b362621a8126ba9c9ea85fae53bdb 28678 libxcb-xprint0-dbg_1.9.1-1_amd64.deb
 e542b9d0402e437fa6672fd02a3aa4e320716038 10080 libxcb-xtest0_1.9.1-1_amd64.deb
 caf77b800e699a350d2d5103c16f20ae4d29e979 10672 libxcb-xtest0-dev_1.9.1-1_amd64.deb
 3f2a1178e68563476a77d20647887bc50bb89ae0 13008 libxcb-xtest0-dbg_1.9.1-1_amd64.deb
 f099fcb6cfde5d6f88a06edb280f99e7b2f89fad 15414 libxcb-xv0_1.9.1-1_amd64.deb
 d4e7ea17a54319264d0827f6f6dda31caa20ae10 20262 libxcb-xv0-dev_1.9.1-1_amd64.deb
 fde0241158e95f2944e6b7647c169e46ef269b9f 27648 libxcb-xv0-dbg_1.9.1-1_amd64.deb
 0327e252e722c3e380fe203f5e90e492ce1b4e7a 11844 libxcb-xvmc0_1.9.1-1_amd64.deb
 51c466a3d8569a649b919d0cb2712a7d067b52bf 14004 libxcb-xvmc0-dev_1.9.1-1_amd64.deb
 d90da421a8fa29bd0866e56ad95c54cb646d2ee2 17356 libxcb-xvmc0-dbg_1.9.1-1_amd64.deb
 2ab93b1dc5a85717b3e87acfcc5ed9544cf91c73 12468 libxcb-dri2-0_1.9.1-1_amd64.deb
 d3d7ee7ae39ebe66b1c8477a505433a048abdef5 15294 libxcb-dri2-0-dev_1.9.1-1_amd64.deb
 d209fb74110feb1e997ce19786c07be653968436 19348 libxcb-dri2-0-dbg_1.9.1-1_amd64.deb
Checksums-Sha256: 
 1da467f814c4daf8b297bfda240c8bbd3eb2b8746f1591e1400030261d2331c8 5825 libxcb_1.9.1-1.dsc
 fdc593ae1c86a6bcec9b02db7b30478b6a667bb94db93c4c22a8347205862be3 472639 libxcb_1.9.1.orig.tar.gz
 d2317006a502ffaff66276e30cb436dd00e5a5d151e880046362696c66e3cff6 20329 libxcb_1.9.1-1.diff.gz
 b332869bb07910306be4eb31255926f173d47ae30f23eaa35704ee812c1eb897 49064 libxcb1_1.9.1-1_amd64.deb
 655f9de6ea80b0e98893934130599f4141d95df6ae86e74ebeca0bfc4bc3eefa 31228 libxcb1-udeb_1.9.1-1_amd64.udeb
 b3cbe321cddc4bb3a7ab3567669222141a87be4bdc35a96d68bf118c25544916 88414 libxcb1-dev_1.9.1-1_amd64.deb
 3dd2ddb3034b7a36cf964ccdbbb9a42a5faf8644bcc8fb46030b7fa3c551b2ee 132482 libxcb1-dbg_1.9.1-1_amd64.deb
 8d9b85287fdb13a179581e7d4ccc7890d2c036d05df6c3997563fac0a2a988f5 5745398 libxcb-doc_1.9.1-1_all.deb
 756d71d6e496761dcf61d41143b5e17065143548c61489c6633ca1c91b2cabac 10436 libxcb-composite0_1.9.1-1_amd64.deb
 e7652141115beaa5dfd1f24d1b913fcd1386a6a5bf8a538cf15fe05bc4484597 11328 libxcb-composite0-dev_1.9.1-1_amd64.deb
 32ca2ad2d1d5226e18b167f2cd16109bb6bd5d354d1b0d433cc14c44cd672bd1 14198 libxcb-composite0-dbg_1.9.1-1_amd64.deb
 2b63306c0e6a0fab305b48cd12480f6d73387c2f0fca757be02c892de0b2b0ef 10072 libxcb-damage0_1.9.1-1_amd64.deb
 53055571e3d4a5881be74292fbc3bbfa17b0b6acd2350e0c294fdf05cab5d33a 11048 libxcb-damage0-dev_1.9.1-1_amd64.deb
 452899d82dd8895a10f01ab5e1720af9e67c03b04073fd8228a4b43cf063a2be 12984 libxcb-damage0-dbg_1.9.1-1_amd64.deb
 a0e43c3dbc26a543422b20fb9681520f1f9f9c1e56b8654a82f2bf0a1f0f04e5 10358 libxcb-dpms0_1.9.1-1_amd64.deb
 8d84bf8d11884f83c9314f29016c44c087f0752b8f09b2b9112fceb7b4c0d258 11186 libxcb-dpms0-dev_1.9.1-1_amd64.deb
 75bb9616b93874340a6800411ea621aec42c1672b8902791cdb7676d62c3c74c 13438 libxcb-dpms0-dbg_1.9.1-1_amd64.deb
 3d91c8a61f82a5a7a683e06d0008eb5cf051936eaffc5823c615c7b861a6ee1c 31168 libxcb-glx0_1.9.1-1_amd64.deb
 2580cbeac30326e60918466dc72faf26bf55410e89e072283cc975476779a2c1 48956 libxcb-glx0-dev_1.9.1-1_amd64.deb
 311d32ab00cabe70f3aeee8abff2e248a1641373684dab25d809ac6b8d4b4909 71712 libxcb-glx0-dbg_1.9.1-1_amd64.deb
 9282f3b3496de579b55c0b1a348ffe615c2dbb0db47900797e3d115c0571a9f4 19868 libxcb-randr0_1.9.1-1_amd64.deb
 68b174d6b31f1eba24d5861343fb4c07d1418ee2b949e4c68f7a11fe7252e467 26984 libxcb-randr0-dev_1.9.1-1_amd64.deb
 0a9aca4f83f8067e627a66c1efd3b772c010296e4876f6099e93b3af7a9a59ef 37328 libxcb-randr0-dbg_1.9.1-1_amd64.deb
 b9a445848001a3c523b15f79be196f7a1d4c3242633e61bc453535b353508928 12108 libxcb-record0_1.9.1-1_amd64.deb
 4c5cdd06eb8b88bbdb85c0c2adde95edb0ebf696739d460a440c5534dd708b3b 14156 libxcb-record0-dev_1.9.1-1_amd64.deb
 abaf34a2464f84b3d336ce459c470e88a6b1870e2e61930798e85d6671746f54 17594 libxcb-record0-dbg_1.9.1-1_amd64.deb
 9e5a8ce85ec80b217abfb658ce0919a29db9570b3b43e7dbd002b4affaa04a6e 18434 libxcb-render0_1.9.1-1_amd64.deb
 332cf8973be847b74fc8655594e00d53009ea7a8d5c463f003054139c717487c 26236 libxcb-render0-dev_1.9.1-1_amd64.deb
 30f7bd5768a09608c6813bf02c6bb9e95fe82ab40b3ac13012620b1a68244039 35420 libxcb-render0-dbg_1.9.1-1_amd64.deb
 87ce94b9b1a4d4906bc4489243684268b9225fc921886820b3b0065dd045e763 10450 libxcb-res0_1.9.1-1_amd64.deb
 8a8f3aefc5049fd3d4b40ff8bc8ceb608d693f13b4fb5882bec9525dffbafc7e 11424 libxcb-res0-dev_1.9.1-1_amd64.deb
 0ed05c3b6817f5512c55b1d128d1ab8f0670a9a316dd2348f81e77152725dd1b 13482 libxcb-res0-dbg_1.9.1-1_amd64.deb
 b240718beffb1d9c055e5252b6398661a075d8a6cdb5a5d038e9b8cfecb982a9 10406 libxcb-screensaver0_1.9.1-1_amd64.deb
 e35748a1da627c413633e51ff27dcef2560d063f746bc5183e4fccf570b882c1 11488 libxcb-screensaver0-dev_1.9.1-1_amd64.deb
 9d24e59e3863eeaad17ca3a04e53fc87ce07ac4ad42b8600a6f0e6b1dc141d0d 13954 libxcb-screensaver0-dbg_1.9.1-1_amd64.deb
 37894345850dd3de0f1d5f8ca96ed8b1124de5d0d0927543fe6434da6aa460b4 11134 libxcb-shape0_1.9.1-1_amd64.deb
 e5c863a77b815b972cad172c0560ffb2542d0d8b430baaa89e4c4a4bdd893620 13230 libxcb-shape0-dev_1.9.1-1_amd64.deb
 60be5d75fdd9e5955b2003967ce6dc1d9b0b407161fe15bfa95e49a70d68431f 16346 libxcb-shape0-dbg_1.9.1-1_amd64.deb
 593e451f26d120a495de516cbeaecd2e9190bb7d65ec95b4005721d1ac8923bb 10464 libxcb-shm0_1.9.1-1_amd64.deb
 f6e1664d96b98d9256b08f64721a0ddaa2d11b7fecf3f914cc1188d8191b4b19 11912 libxcb-shm0-dev_1.9.1-1_amd64.deb
 357aff5be4363ee3e097d60c4d4396ae4c409deb70973c6e954c83b8b4e8db94 14380 libxcb-shm0-dbg_1.9.1-1_amd64.deb
 55c547809449d48966b881f9ad8c536e24652065247965a20f9aa592fe5bec29 13362 libxcb-sync0_1.9.1-1_amd64.deb
 69ad39c13bea500e843f6cb4bb6b6353d943aa1925db2d273d47cb14ba8361b7 16584 libxcb-sync0-dev_1.9.1-1_amd64.deb
 f45e4f8daf305446056272d5c99868ddaa06a782ed5ad0757c7245ea961a93fb 20972 libxcb-sync0-dbg_1.9.1-1_amd64.deb
 48fe5dec276eeed509c6e8040abfa92cc935c70eebb30668af5b4a4c1f365c7c 10342 libxcb-xevie0_1.9.1-1_amd64.deb
 3341b53de40c8ad15716af59f2acb2de11355d442a77b3722aeb9584339a2c18 11346 libxcb-xevie0-dev_1.9.1-1_amd64.deb
 11f29af6a923190ffc1f940744a26b0bfa2208843835159369c1f2625f28af2d 13616 libxcb-xevie0-dbg_1.9.1-1_amd64.deb
 a68bf736b194c626edaf38e63a68bd064e23d8b9c4fb5b742a4962cf5e4a18af 12142 libxcb-xf86dri0_1.9.1-1_amd64.deb
 a0c57435e100aa15fe18e57213a0fdba0c900282d301105d7f2ee8885e9c574c 14220 libxcb-xf86dri0-dev_1.9.1-1_amd64.deb
 8fcf388c9a930f56cddf57466f257a8befe60df3450515143b2aa3fb9c1069ec 18116 libxcb-xf86dri0-dbg_1.9.1-1_amd64.deb
 1150f272a5731c409ca725ddd2a69729cde8b8920ba70b3902f24efa5c136a84 14490 libxcb-xfixes0_1.9.1-1_amd64.deb
 33416153d80d643e47d5954571933ee19d9347d6baddeaf6217deb0f6a886e43 18910 libxcb-xfixes0-dev_1.9.1-1_amd64.deb
 3367df0d94f6eb1bd33e8ce76a172e777be7044882b2474a20ecb6ffd7d4dbb9 25734 libxcb-xfixes0-dbg_1.9.1-1_amd64.deb
 0b40a7348e9189516d0f53cadf5fc7dfb4368ecdf8631b0de058e36ef291bd48 10556 libxcb-xinerama0_1.9.1-1_amd64.deb
 e9cc1e3800cfbaecf27c6b0dc03474804a8df57b11d712ed1feadf29004a2fb8 11726 libxcb-xinerama0-dev_1.9.1-1_amd64.deb
 dd4d92a0d85dda26e32cc9f198dc1eb56ef7eba794cc455b89c1e0b29c837f29 14002 libxcb-xinerama0-dbg_1.9.1-1_amd64.deb
 bc50403564b8fd617ae6193ed2866acbeadfd9949491931b9e521dc8e715dc6d 16600 libxcb-xprint0_1.9.1-1_amd64.deb
 b116afde6fcb8a567c2a84d85a78752dc1ffd675784e8ea4236fdab539baf429 21106 libxcb-xprint0-dev_1.9.1-1_amd64.deb
 2cde7e898b8c32c28c587c82e39300fbf1db6a2483ba98d2220de57b6533228b 28678 libxcb-xprint0-dbg_1.9.1-1_amd64.deb
 c9b16dd8cc71931eb006c42329187dab9563b8ad09d24e4defc64b22f3d6b429 10080 libxcb-xtest0_1.9.1-1_amd64.deb
 3d8bd20a2e7a2a2cf1e30b79a425659f099928f719411019c5e40b3a0d351b7b 10672 libxcb-xtest0-dev_1.9.1-1_amd64.deb
 c34bdf3554e28b5688fe450bb013952f0c07c302c10cafd1e9812ae70ddcd65e 13008 libxcb-xtest0-dbg_1.9.1-1_amd64.deb
 a6554122537225562e442ff6d46c7e177789b140b3adb9a0303e7935a4709756 15414 libxcb-xv0_1.9.1-1_amd64.deb
 a9c3f389aec9e260ab4dc7c32a5d83d6037300d9a52549d3872f72332fd79569 20262 libxcb-xv0-dev_1.9.1-1_amd64.deb
 3eb25ea97f1165fd7341654248fc3c720a9f1b141bb434fab92bf6b4f8abaab8 27648 libxcb-xv0-dbg_1.9.1-1_amd64.deb
 bdbf404e86172535138399bcd4edda23e67c6673809a092462cbf9c2b5db6e15 11844 libxcb-xvmc0_1.9.1-1_amd64.deb
 4c625df8d0b46d8bb610de3bf843c447ecd50ba758d421f785ba29c0bee23e8d 14004 libxcb-xvmc0-dev_1.9.1-1_amd64.deb
 462eb44c8089b11d25bf9a2e0404fedd887981bab960a9820da882096c9a0be4 17356 libxcb-xvmc0-dbg_1.9.1-1_amd64.deb
 a90dd630d24c141c0d68ae50903266cef07fa74054eea7bdc6b31300f7e0372c 12468 libxcb-dri2-0_1.9.1-1_amd64.deb
 ee0a2fc26d8c2cb0ae219c5777ab913d6a02f8ea25e45a8541a31d2cc8307802 15294 libxcb-dri2-0-dev_1.9.1-1_amd64.deb
 0f1e30731c37eadea681aedaa9aecb8a389bfefbce4195653c17e92fd9e2c883 19348 libxcb-dri2-0-dbg_1.9.1-1_amd64.deb
Files: 
 73980158fa32dcf52229ca205b69c500 5825 libdevel optional libxcb_1.9.1-1.dsc
 324c76024a73dba8a902638696ba87de 472639 libdevel optional libxcb_1.9.1.orig.tar.gz
 e6d10d9e7dc9ab9d5a7556a7e68e031c 20329 libdevel optional libxcb_1.9.1-1.diff.gz
 ac685a1d6e6eee306045a242db7026e7 49064 libs optional libxcb1_1.9.1-1_amd64.deb
 3326cbc7bb5c2c7d08f944370f1494e4 31228 debian-installer optional libxcb1-udeb_1.9.1-1_amd64.udeb
 f1ed7abf9ddced73bd3d9127f8057565 88414 libdevel optional libxcb1-dev_1.9.1-1_amd64.deb
 37f36aecfcbf56dc8547734054f1ca31 132482 debug extra libxcb1-dbg_1.9.1-1_amd64.deb
 605c87ea797d8a8c8a3a8e1800006783 5745398 doc optional libxcb-doc_1.9.1-1_all.deb
 c0b102a8bcd0e513023a8255ba2c9e04 10436 libs optional libxcb-composite0_1.9.1-1_amd64.deb
 7415ddd5d181127c892a9e881e8e29b3 11328 libdevel optional libxcb-composite0-dev_1.9.1-1_amd64.deb
 9339de0fb9393001bae756da5662c4fd 14198 debug extra libxcb-composite0-dbg_1.9.1-1_amd64.deb
 15dc8a9cc41dcf82619608dbc11268a6 10072 libs optional libxcb-damage0_1.9.1-1_amd64.deb
 fa5c2ef3c426d5acf1009981f4c8b7d4 11048 libdevel optional libxcb-damage0-dev_1.9.1-1_amd64.deb
 0439af61f1c59bd60c351e5cf6783000 12984 debug extra libxcb-damage0-dbg_1.9.1-1_amd64.deb
 e9e3a96ba45ecf06a63f1af6cb80f38b 10358 libs optional libxcb-dpms0_1.9.1-1_amd64.deb
 84d7585c0d451124703c4b1ecc871ec3 11186 libdevel optional libxcb-dpms0-dev_1.9.1-1_amd64.deb
 a511b401eb9cc0679a529ead68bdc49f 13438 debug extra libxcb-dpms0-dbg_1.9.1-1_amd64.deb
 a18d8c87ed3cdbf2d22c6e21fed90be5 31168 libs optional libxcb-glx0_1.9.1-1_amd64.deb
 0e7356ca59a9f8dee039310a48cefd78 48956 libdevel optional libxcb-glx0-dev_1.9.1-1_amd64.deb
 99f650c65d0801bb12380cdeae121150 71712 debug extra libxcb-glx0-dbg_1.9.1-1_amd64.deb
 33d77039bc0d8e10eaef1fe8fb5e150d 19868 libs optional libxcb-randr0_1.9.1-1_amd64.deb
 e7c03c52a9dc1675ba6572311239db52 26984 libdevel optional libxcb-randr0-dev_1.9.1-1_amd64.deb
 d92846771ba8b3210bd308692c08a970 37328 debug extra libxcb-randr0-dbg_1.9.1-1_amd64.deb
 36f2d1c3d523ba306df9cc9eb1c6313e 12108 libs optional libxcb-record0_1.9.1-1_amd64.deb
 9a95e9b2d7ee47354528e73cd46d6a84 14156 libdevel optional libxcb-record0-dev_1.9.1-1_amd64.deb
 57b0a9d94938a4ccee5f1cb9518eb66a 17594 debug extra libxcb-record0-dbg_1.9.1-1_amd64.deb
 544c22d54f517a28a366626008165656 18434 libs optional libxcb-render0_1.9.1-1_amd64.deb
 86f0eae94a839beaf3c69757a1c6c6b5 26236 libdevel optional libxcb-render0-dev_1.9.1-1_amd64.deb
 f8de1d27d3c1cba578a972051f74eb5e 35420 debug extra libxcb-render0-dbg_1.9.1-1_amd64.deb
 8192e8b4bdc4a999f2817605ee11ab6a 10450 libs optional libxcb-res0_1.9.1-1_amd64.deb
 ab06cbd997ead16c1b0680f36d9d8e22 11424 libdevel optional libxcb-res0-dev_1.9.1-1_amd64.deb
 5b6f2dba4a9d16a99f11efead9b95750 13482 debug extra libxcb-res0-dbg_1.9.1-1_amd64.deb
 1d71fc34161d68cb24137b24edd143fa 10406 libs optional libxcb-screensaver0_1.9.1-1_amd64.deb
 0fbb0be819d3320786767eeed2f138d1 11488 libdevel optional libxcb-screensaver0-dev_1.9.1-1_amd64.deb
 bfb7840415045c0bb35ce4f93b87f404 13954 debug extra libxcb-screensaver0-dbg_1.9.1-1_amd64.deb
 32fd2801db190c46763a0bee67898808 11134 libs optional libxcb-shape0_1.9.1-1_amd64.deb
 881bf919c7d0f0174592d8a54a384ceb 13230 libdevel optional libxcb-shape0-dev_1.9.1-1_amd64.deb
 f5e9b5a9b2ba09a79337d830a3ac29c7 16346 debug extra libxcb-shape0-dbg_1.9.1-1_amd64.deb
 472402cf19745ee391bf39b4ac46ceaa 10464 libs optional libxcb-shm0_1.9.1-1_amd64.deb
 27cf915d70c7a4a6ae7c2e6221a01fc4 11912 libdevel optional libxcb-shm0-dev_1.9.1-1_amd64.deb
 3f889c54e46e147de65ecd8356e16b2c 14380 debug extra libxcb-shm0-dbg_1.9.1-1_amd64.deb
 45c12c0e1f8fcecebc2f55d7e4a4de3f 13362 libs optional libxcb-sync0_1.9.1-1_amd64.deb
 f49b7bf34bd0e73b3488be9e922a4e4a 16584 libdevel optional libxcb-sync0-dev_1.9.1-1_amd64.deb
 10e79622d8fb423669bc8739576b30c2 20972 debug extra libxcb-sync0-dbg_1.9.1-1_amd64.deb
 87d060b3a1eea4a32f4b1eb3187a7b6f 10342 libs optional libxcb-xevie0_1.9.1-1_amd64.deb
 3c427b3644071d1b6e67ecbab32ec955 11346 libdevel optional libxcb-xevie0-dev_1.9.1-1_amd64.deb
 4304b0d553b244f405e3806975fe709b 13616 debug extra libxcb-xevie0-dbg_1.9.1-1_amd64.deb
 29e446fcac0c6ca2ec860c6eb39b5549 12142 libs optional libxcb-xf86dri0_1.9.1-1_amd64.deb
 2dbfbd39a71f610ad61d27cf53504ea0 14220 libdevel optional libxcb-xf86dri0-dev_1.9.1-1_amd64.deb
 043290a0a3f7e3031cf392a65b602028 18116 debug extra libxcb-xf86dri0-dbg_1.9.1-1_amd64.deb
 4b6e67d8d58bb3c6822be0d75a3d5e9e 14490 libs optional libxcb-xfixes0_1.9.1-1_amd64.deb
 7fd4a60f9e1a5d5c6f7b0ec2c27f5c78 18910 libdevel optional libxcb-xfixes0-dev_1.9.1-1_amd64.deb
 c98559937b5ecfd35175d302d61c3d01 25734 debug extra libxcb-xfixes0-dbg_1.9.1-1_amd64.deb
 c4bc00a0df536454664ff0aebc5173d2 10556 libs optional libxcb-xinerama0_1.9.1-1_amd64.deb
 71ce34f0a6bafb983c8761b36f3fc9fa 11726 libdevel optional libxcb-xinerama0-dev_1.9.1-1_amd64.deb
 5e694a46840643df4d100eb7f226f3bd 14002 debug extra libxcb-xinerama0-dbg_1.9.1-1_amd64.deb
 d8acfe56cdb1d03ba79b2571aa9a3c72 16600 libs optional libxcb-xprint0_1.9.1-1_amd64.deb
 d2d53bcff01db4cde0fdac6cd55897a4 21106 libdevel optional libxcb-xprint0-dev_1.9.1-1_amd64.deb
 4faa4066e557901e9b4187ed4491df13 28678 debug extra libxcb-xprint0-dbg_1.9.1-1_amd64.deb
 763a3c82b04dd4988aecc48eaf9db671 10080 libs optional libxcb-xtest0_1.9.1-1_amd64.deb
 3166706751d4e4545b99510aa0adbbae 10672 libdevel optional libxcb-xtest0-dev_1.9.1-1_amd64.deb
 a26560f4f1fb2785cfddb689d11aea44 13008 debug extra libxcb-xtest0-dbg_1.9.1-1_amd64.deb
 a826518b189dc8ef491c1817c4d104bd 15414 libs optional libxcb-xv0_1.9.1-1_amd64.deb
 fe364b957810e42320af8d4358b8bb2f 20262 libdevel optional libxcb-xv0-dev_1.9.1-1_amd64.deb
 51c069bfd6a8518ac415c377e55cf46e 27648 debug extra libxcb-xv0-dbg_1.9.1-1_amd64.deb
 b1b0d63d47af1a71dd157d68ad5132f0 11844 libs optional libxcb-xvmc0_1.9.1-1_amd64.deb
 e439454368c37bfec5711e3ee7301388 14004 libdevel optional libxcb-xvmc0-dev_1.9.1-1_amd64.deb
 b6eeaabf116406adb3ca36e325f71301 17356 debug extra libxcb-xvmc0-dbg_1.9.1-1_amd64.deb
 2c9c151602e2c515d295f13df0fc6d90 12468 libs optional libxcb-dri2-0_1.9.1-1_amd64.deb
 77bd82c4a6d1f7dd0d262fc68ab60df2 15294 libdevel optional libxcb-dri2-0-dev_1.9.1-1_amd64.deb
 9f639c61f95fa3f69482d621310f327b 19348 debug extra libxcb-dri2-0-dbg_1.9.1-1_amd64.deb
Package-Type: udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRtNAiAAoJEDEBgAUJBeQMxYkQANQCARPSqA/v+70374mJtBrb
CINmdisTezfuU6fSsjf2TZrvrAfIsXaxgHK4iIAnnKdVLOllnIO6Gc25J3jHM/KN
ChANgEKm7ESu3xtxjFHkAQnTtTajkm9ZrZw6PshsDDdbo94Zj6W7Gh5itWSw26Cg
evE84y5uPMhEwrlyk9nLVGp5b7T0Ok1CH+sI6HeV9C/98GaZ1Z/3AnAtykVixWEZ
p8xtF0+vlwdv9TxHWxhANZM2WXdYg4w69TJnLKtAheNOdcXpRrURAPWB9GXvHwwU
kTkBIvHzzp7TSJ3xEJ2psJEjCw9sP4NwyXeSlGYN+XAcn3t3dfI8pz2TiP7mgbKI
2XbbRTm8FYTIBUaKIrMIaaLsmItW9H2fLcmYduoUFBrfrwDPLxqeiY1KAf7BS/5y
QjQOxYxBQ1Nq3NwVkMR5ZYA3nA84NO03Y9qtrXAyisCZZY6HmTtpsPRrO9RzwO/J
iPWyc5XodkWW/9cE8Tnjp/tKkVBllEsSs3QvD4RDjFZfd/ZYU16f7U1MRKsW8bj0
WtmMQTyRuQJk+5SdAu64wNW7rU7gokXGz2MAcy8CA/rRlqAWzEVm4YCMyCSosrZM
ypoc3DljK0FnAVo1aYEDm9mFaVPfwaUoaY0sX708e/AQ7Rruws8wKm2dFBtlXv5M
2BRyRY4gimb9KMa8Ig9e
=O8t+
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 21 Oct 2013 07:30:17 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 14:21:10 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.